View Issue Details

IDProjectCategoryView StatusLast Update
0017432CentOS-8_unreleased_devel_pkgspublic2020-06-30 12:35
Reporterplageat 
PrioritynormalSeverityblockReproducibilityalways
Status newResolutionopen 
PlatformOSCentOS-8OS Version
Product Version8.1.1911 
Target VersionFixed in Version 
Summary0017432: Missing build dependencies for anaconda-29.19.1.13-1.el8
DescriptionI trying to build custom anaconda rpm based on CentOS, particularly anaconda-29.19.1.13-1.el8, but I am missing some of builddep in CentOS repos

No matching package to install: 'glade-devel'
No matching package to install: 'glib2-doc'
No matching package to install: 'gobject-introspection-devel'
No matching package to install: 'gtk-doc'
No matching package to install: 'gtk3-devel-docs >= 3.22.17'
No matching package to install: 'libarchive-devel >= 3.0.4'
No matching package to install: 'libgnomekbd-devel'
No matching package to install: 'libtimezonemap-devel >= 0.4.1-2'
No matching package to install: 'libxklavier-devel >= 5.4'
Steps To Reproduce1. get anaconda sources for anaconda-29.19.1.13-1.el8 from git.centos.org
2. dnf builddep anaconda.spec

Actual results:
No matching package to install: 'glade-devel'
No matching package to install: 'glib2-doc'
No matching package to install: 'gobject-introspection-devel'
No matching package to install: 'gtk-doc'
No matching package to install: 'gtk3-devel-docs >= 3.22.17'
No matching package to install: 'libarchive-devel >= 3.0.4'
No matching package to install: 'libgnomekbd-devel'
No matching package to install: 'libtimezonemap-devel >= 0.4.1-2'
No matching package to install: 'libxklavier-devel >= 5.4'
Package libxml2-2.9.7-5.el8.x86_64 is already installed.
Package systemd-239-18.el8_1.5.x86_64 is already installed.
Not all dependencies satisfied
Error: Some packages could not be found.
Additional InformationExpected results:

All builddeps for anaconda are installed successfully
Tags8.1, _unreleased_devel_pkgs, Anaconda, centos 8

Relationships

duplicate of 0017427 new Missing build dependencies for anaconda-29.19.1.13-1.el8 

Activities

plageat

plageat

2020-06-24 15:10

reporter   ~0037224

Should I consider rebuilding the half of CentOS 8.X to get the required builddeps, if you are even refuse to answer the bug or at least leave some comments on this?
plageat

plageat

2020-06-26 11:59

reporter   ~0037245

After enabling PowerTools repo manually, the full list reduced to:

No matching package to install: 'gtk3-devel-docs >= 3.22.17'
No matching package to install: 'libtimezonemap-devel >= 0.4.1-2'
plageat

plageat

2020-06-30 12:35

reporter   ~0037275

So, is it totally ignored?

Issue History

Date Modified Username Field Change
2020-06-04 15:10 plageat New Issue
2020-06-04 15:10 plageat Issue generated from: 0017427
2020-06-04 15:10 plageat Relationship added duplicate of 0017427
2020-06-24 15:10 plageat Note Added: 0037224
2020-06-24 15:14 plageat Tag Attached: _unreleased_devel_pkgs
2020-06-24 15:14 plageat Tag Attached: centos 8
2020-06-24 15:14 plageat Tag Attached: Anaconda
2020-06-24 15:14 plageat Tag Attached: 8.1
2020-06-26 11:59 plageat Note Added: 0037245
2020-06-30 12:35 plageat Note Added: 0037275